Subject: Re: [RFC PATCH 0/6] [RFC] Introduce cgit-rs, a Rust wrapper around libgit.a

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Aug 2024 13:54:09 -0700

Junio C Hamano <[email-masked]> writes:

> Josh Steadmon <[email-masked]> writes:
>
>> We're sending this series as RFC because there is remaining work
>> we'd like to do, but we'd like to get early feedback on this approach,
>> and particularly to ask for advice on a few topics:
>
> I am not sure how much this is reusable, after seeing comments that
> "cgit-rs" may not be the best name for this thing and pathnames may
> have to change, but I needed the following merge-fix to get this
> into "seen" and have the result pass "make", due to interactions
> with the ps/config-wo-the-repository topic.
>
>  contrib/cgit-rs/public_symbol_export.c | 4 +++-
>  1 file changed, 3 insertions(+), 1 deletion(-)

There is another thing.

Listing this file in $(OBJECTS) means that you should be able to
pass "make sparse" to build contrib/cgit-rs/public_symbol_export.sp
but it seems to fail rather miserably.  I am tempted to suggest in
the meantime to futz with $(SP_OBJ) to filter it out in the top
level Makefile.